Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| deegree 2.4 (2010/11/11 10:47 build-27-official)
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.deegree.ogcwebservices.csw.discovery
Class SearchStatus

    java.lang.Object
      org.deegree.ogcwebservices.csw.discovery.SearchStatus

    public class SearchStatus

extends Object

Class representation of a <csw:SearchStatus>-element.

Version:
  2.0, $Revision: 18195 $, $Date: 2009-06-18 17:55:39 +0200 (Do, 18. Jun 2009) $
Author:
  Andreas Poth , Torsten Friebe , Markus Schneider , last edited by: $Author: mschneider $

Constructor Summary
`SearchStatus(String status)`
`SearchStatus(String status, Date timestamp)`
`SearchStatus(String status, String timestampString)` Create a new instance from status-String and timestamp-String.

Method Summary
`String` | `getStatus()` possible values are: complete: The request was successfully completed and valid results are available or have been returned.
`Date` | `getTimestamp()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SearchStatus

    SearchStatus(String status)

Parameters:
  `status` -

### SearchStatus

    SearchStatus(String status,
                 Date timestamp)

Parameters:
  `status` -
  `timestamp` -

### SearchStatus

    SearchStatus(String status,
                 String timestampString)

  Create a new instance from status-String and timestamp-String. TODO: parse timestampString

  Parameters:
    `status` -
    `timestampString` -

Method Detail

### getStatus

    public String getStatus()

  possible values are:
  - complete: The request was successfully completed and valid results are available or have been returned.
  - subset: The request was successfully completed and partial valid results are available or have been returned. In this case subsequest queries with new start positions may be used to see more results.
  - interim: The request was successfully completed and partial results are available or have been returned but the results may not be valid. For example, an intermediate server in a distributed search may have failed cause the partial, invalid result set to be generated.
  - processing: The request is still processing. When completed, the response will be sent to the specified response handler.
  - none: No records found.

  Returns:
    request processing status

### getTimestamp

    public Date getTimestamp()

  Returns:
    datestamp of processing

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| deegree 2.4 (2010/11/11 10:47 build-27-official)
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

an open source project founded by lat/lon, Bonn, Germany.
For more information visit: http://www.deegree.org